Bug 28383 - Marshal.AllocCoTaskMem(0) incorrectly returns null
Summary: Marshal.AllocCoTaskMem(0) incorrectly returns null
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Interop (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-03-24 17:06 UTC by Randall Schmidt
Modified: 2015-03-25 09:08 UTC (History)
7 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Reproduction case (9.60 KB, application/zip)
2015-03-24 17:06 UTC, Randall Schmidt
Details

Description Randall Schmidt 2015-03-24 17:06:28 UTC
Created attachment 10480 [details]
Reproduction case

According to https://msdn.microsoft.com/en-us/library/ms692727.aspx this function should return a valid pointer to a zero-length item.

Run the attached reproduction case and view the device console to see "Unexpected: Got null pointer from AllocCoTaskMem(0)"
Comment 1 Sebastien Pouliot 2015-03-24 21:26:09 UTC
This comes directly from the mono runtime we embed.
Comment 2 Zoltan Varga 2015-03-25 01:31:59 UTC
Fixed in mono master/mono-4.0.0-branch.
Comment 3 Sebastien Pouliot 2015-03-25 09:08:12 UTC
Fix back ported into maccore/master 49dda372a8c3d1564e82d45cdbfe4fa4c0c264b7
and maccore/macios-cycle5 8c5fc7ad854c2a712c1062b19820be4a45a41aee

IOW XI 8.10 will have this fix.

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 28383 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: